Conversations

Get thread messages for a conversation

Get thread messages for a conversation.

GET
/conversation/{conversation_id}/messages

Get thread messages for a conversation.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

conversation_id*string

Conversation identifier.

Query Parameters

event_id?string

Return only the thread event with this message ID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/conversation/string/messages"
{  "event": [    {      "id": "string",      "action": "string",      "created_at": "2019-08-24T14:15:22Z",      "event_id": "string",      "event_type": "string",      "event": {        "id": "string",        "cc": [          "string"        ],        "bcc": [          "string"        ],        "record_type": "string",        "status": "string",        "direction": "string",        "viewed_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "text_body": "string",        "excerpt": "string",        "html_body": "string",        "extra": {},        "downloadable_attachments": [          {            "id": "string",            "name": "string",            "size": 0,            "url": "http://example.com",            "download_url": "http://example.com"          }        ],        "is_clipped": true,        "intended_inbox_address_id": "string"      },      "actor_id": "string",      "actor_type": "string",      "actor": {        "id": "string",        "name": "string",        "email": "[email protected]",        "avatar": "http://example.com"      },      "extra": {},      "conversation_id": "string"    }  ],  "contact": {    "id": "string",    "name": "string",    "email": "[email protected]",    "avatar": "http://example.com",    "company": "string",    "website": "string",    "job_title": "string",    "address": "string",    "should_display_image": 0,    "notes": "string",    "extra": {},    "organization_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "inbox": "string",  "subject": "string",  "ticket_id": 0}